FreeMat

- Main Page
- Related Pages

vtkCameraPass

Section: Visualization Toolkit Rendering Classes

# Usage

Render the camera.

It setups the projection and modelview matrices and can clear the background It calls its delegate once. After its delegate returns, it restore the modelview matrix stack.

Its delegate is usually set to a vtkSequencePass with a vtkLigthsPass and a list of passes for the geometry.

To create an instance of class vtkCameraPass, simply invoke its constructor as follows

      obj = vtkCameraPass

# Methods

The class vtkCameraPass has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCameraPass class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCameraPass = obj.NewInstance ()`
- `vtkCameraPass = obj.SafeDownCast (vtkObject o)`
- `obj.ReleaseGraphicsResources (vtkWindow w)` - Release graphics resources and ask components to release their own resources.
  Precondition:
    w_exists: w!=0
- `vtkRenderPass = obj.GetDelegatePass ()` - Delegate for rendering the geometry. If it is NULL, nothing will be rendered and a warning will be emitted. It is usually set to a vtkSequencePass with a vtkLigthsPass and a list of passes for the geometry. Initial value is a NULL pointer.
- `obj.SetDelegatePass (vtkRenderPass delegatePass)` - Delegate for rendering the geometry. If it is NULL, nothing will be rendered and a warning will be emitted. It is usually set to a vtkSequencePass with a vtkLigthsPass and a list of passes for the geometry. Initial value is a NULL pointer.